Trusted Contributor.. debasish86 Trusted Contributor..
Trusted Contributor..
529 views

Cygwin with older ssh version

Hello PPM Gurus,

I am facing some issue setting up PPM Environment as its seems like PPM 9.32 supports openssh only till version 6.9 that comes with cygwin. But recently, I setup a new environment and used the latest cygwin which has openssh 7.7 installed.

Cos of this, while performing an environment check, it keeps prompting for error for "unsupported algorithms". 

Does anyone has the cygwin executable with mirror copy on you local machine which might have ssh version 6.9.

Any sort of help is highly appreciated as its a bit of urgent.

Regards

Debasish

0 Likes
3 Replies
Outstanding Contributor.. Amishra Outstanding Contributor..
Outstanding Contributor..

Re: Cygwin with older ssh version

Hi Debashish - this is interesting to know, havent tested openssh 7.7, anyways i have got openssh 5.5p1 which is working in PPM 9.50. The cygwin version that we are using is 1.7.5.

Now what you can do is, unzip and place the attached openssh package under your current Cygwin installer package. You may have existing openssh package 7.7 (take a backup and remove from the folder) 

Once you have done this, run the cygwin installer again and then install only openssh 5.5p. 

Give it a try and see if that works. If not then i can give you the whole cygwin 1.7.5 installer. 

Also it is worth checking with MicroFocus support as to why latest openssh is failing. 

Let me know how it goes. 

Regards,
Ajay Mishra
0 Likes
Trusted Contributor.. debasish86 Trusted Contributor..
Trusted Contributor..

Re: Cygwin with older ssh version

Hello Ajay,

As suggested I tried but unfortunately, it doesnt detect the openssh tar file as a separate entity.

Hence would request to send me the whole installed along with the cygwin executable.

Thank You!

Regards

Debasish

0 Likes
Outstanding Contributor.. Amishra Outstanding Contributor..
Outstanding Contributor..

Re: Cygwin with older ssh version

ok, i havent tried it, logically i thought it will work. Didn't it pick up when you tried to reinstall the package? 

Anyways i will inbox you

Regards,
Ajay Mishra
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.